representable-tries-3.0.2: Tries from representations of polynomial functors

Stability | experimental
Maintainer | ekmett@gmail.com
Safe Haskell | None

Control.Monad.Reader.Trie

Contents

- A Representable Trie-based Reader monad transformer

Description

Synopsis

- newtype ReaderTrieT a m b = ReaderTrieT {
  - runReaderTrieT :: a :->: m b
  }
- module Data.Functor.Representable.Trie

# A Representable Trie-based Reader monad transformer

newtype ReaderTrieT a m b Source

Constructors

ReaderTrieT |

Fields

runReaderTrieT :: a :->: m b

Instances

(HasTrie a, Monad m) => MonadReader a (ReaderTrieT a m) |
(HasTrie a, MonadWriter w m) => MonadWriter w (ReaderTrieT a m) |
HasTrie a => MonadTrans (ReaderTrieT a) |
(HasTrie a, Monad m) => Monad (ReaderTrieT a m) |
(HasTrie a, Functor m) => Functor (ReaderTrieT a m) |
(HasTrie a, Applicative m) => Applicative (ReaderTrieT a m) |
(HasTrie a, Foldable m) => Foldable (ReaderTrieT a m) |
(HasTrie a, Traversable m) => Traversable (ReaderTrieT a m) |
(HasTrie a, Representable m, Monoid a, Monoid (Key m)) => Comonad (ReaderTrieT a m) |
(HasTrie a, Distributive m) => Distributive (ReaderTrieT a m) |
(HasTrie a, Keyed m) => Keyed (ReaderTrieT a m) |
(HasTrie a, Zip m) => Zip (ReaderTrieT a m) |
(HasTrie a, ZipWithKey m) => ZipWithKey (ReaderTrieT a m) |
(HasTrie a, Indexable m) => Indexable (ReaderTrieT a m) |
(HasTrie a, Lookup (:->: a), Lookup m) => Lookup (ReaderTrieT a m) |
(HasTrie a, Adjustable m) => Adjustable (ReaderTrieT a m) |
(HasTrie a, FoldableWithKey m) => FoldableWithKey (ReaderTrieT a m) |
(HasTrie a, FoldableWithKey1 m) => FoldableWithKey1 (ReaderTrieT a m) |
(HasTrie a, TraversableWithKey m) => TraversableWithKey (ReaderTrieT a m) |
(HasTrie a, TraversableWithKey1 m) => TraversableWithKey1 (ReaderTrieT a m) |
(HasTrie a, MonadIO m) => MonadIO (ReaderTrieT a m) |
(HasTrie a, Representable m) => Representable (ReaderTrieT a m) |
(HasTrie a, Traversable1 m) => Traversable1 (ReaderTrieT a m) |
(HasTrie a, Foldable1 m) => Foldable1 (ReaderTrieT a m) |
(HasTrie a, Apply m) => Apply (ReaderTrieT a m) |
(HasTrie a, Bind m) => Bind (ReaderTrieT a m) |
(HasTrie a, Representable m, Semigroup a, Semigroup (Key m)) => Extend (ReaderTrieT a m) |

module Data.Functor.Representable.Trie